# Commandline Options

The commandline options are for retroshare-nogui, a headless server in a shell, or systems without QT.

### Commands:

- -h Show the help
- -l [logfile] Set the logfilename
- -w [password] Set the password
- -i [ip_adress] Set IP Adress to use
- -p [port] Set the Port to listen on
- -c [basedir] Set the config basdir
- -s Output to Stderr
- -d [debuglevel] Set the debuglevel
- -u Only listen to UDP
- -e Use a forwarded external Port
- -U username (ssl id) to login with
- -r "retroshare://..." for adding links to the registered running RetroShare

### Example:

- ./retroshare-nogui -w mysecretpassword -e